Skip to main content
GET
/
api
/
v1
/
custom-fields
List Custom Fields
curl --request GET \
  --url https://api.bindbee.dev/api/v1/custom-fields \
  --header 'Authorization: Bearer <token>'
{
  "cursor": "MDE4YjE4ZWYtYzk5Yy03YTg2LTk5NDYtN2I3YzlkNTQzM2U1",
  "page_size": 123,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "category": "HRIS",
      "model": "<string>",
      "source": "DASHBOARD",
      "created_at": "2023-11-07T05:31:56Z",
      "description": "Employee's guardian mobile number",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.bindbee.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

category
enum<string> | null

Filter by category, e.g. HRIS.

Available options:
HRIS,
ATS,
LMS
Example:

"HRIS"

model
string | null

Filter by model slug, e.g. employee.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9_-]*$
Example:

"employee"

source
enum<string> | null

Filter by origin: 'API' for fields created via the public API, 'DASHBOARD' for fields created from the Bindbee dashboard.

Available options:
DASHBOARD,
API
Example:

"API"

page_size
integer
default:50

Number of results to return per page. Maximum size is 200.

Required range: 1 <= x <= 200
cursor
string

The pagination cursor value.

Response

Successful Response

cursor
string | null
required

Cursor value to fetch next set of items

Example:

"MDE4YjE4ZWYtYzk5Yy03YTg2LTk5NDYtN2I3YzlkNTQzM2U1"

page_size
integer
required

Indicates the count of items in the response

Example:

50

items
CustomFieldExternal · object[]
required

List of items in the current response

Example:
{}